View Issue Details

IDProjectCategoryView StatusLast Update
0004744Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterMarcello StanisciAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.2Fixed in Version0.2 
Summary0004744: pay_deadline in deposit_permission
DescriptionThe backend needs to check if the payment is still on time.

The contract contains now a field "pay_deadline" (from 0004521) that should be echoed in the deposit permission.
TagsNo tags attached.

Activities

Florian Dold

2016-11-03 04:19

manager   ~0011408

Are you referring to the schema validation that the wallet does on the contract, or is there something else that should be fixed?

Marcello Stanisci

2016-11-03 10:19

manager   ~0011409

We need two things: 1) the schema validation on the contract has to allow the "pay_deadline" field, 2) the wallet has to include this "pay_deadline" field in the deposit permission.

Florian Dold

2016-11-03 19:48

manager   ~0011418

Okay, sorry, I misread the title ;)

Fixed in dd4572

Issue History

Date Modified Username Field Change
2016-10-19 16:12 Marcello Stanisci New Issue
2016-10-19 16:12 Marcello Stanisci Status new => assigned
2016-10-19 16:12 Marcello Stanisci Assigned To => Florian Dold
2016-11-03 04:19 Florian Dold Note Added: 0011408
2016-11-03 04:19 Florian Dold Status assigned => feedback
2016-11-03 10:19 Marcello Stanisci Note Added: 0011409
2016-11-03 10:19 Marcello Stanisci Status feedback => assigned
2016-11-03 19:48 Florian Dold Note Added: 0011418
2016-11-03 19:48 Florian Dold Status assigned => resolved
2016-11-03 19:48 Florian Dold Resolution open => fixed
2016-11-03 19:48 Florian Dold Target Version => 0.2
2016-11-15 16:03 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed